## spawn-fcgi 1.6.2

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)

cmake_policy(VERSION 2.6.0)

PROJECT(spawn-fcgi)
SET(PACKAGE_NAME ${CMAKE_PROJECT_NAME})
SET(PACKAGE_VERSION 1.6.2)

SET(CMAKE_MAN_DIR "share/man" CACHE STRING
  "Install location for man pages (relative to prefix).")
MARK_AS_ADVANCED(CMAKE_MAN_DIR)

# Set Default build type to RelWithDebInfo
IF("${CMAKE_BUILD_TYPE}" STREQUAL "")
	SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF("${CMAKE_BUILD_TYPE}" STREQUAL "")

ADD_SUBDIRECTORY(src)

INSTALL(FILES spawn-fcgi.1 DESTINATION ${CMAKE_MAN_DIR}/man1)

=== src/CMakeLists.txt ===
INCLUDE(CheckCSourceCompiles)
INCLUDE(CheckIncludeFiles)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckVariableExists)
INCLUDE(CheckTypeSize)
INCLUDE(CMakeDetermineCCompiler)

IF(CMAKE_COMPILER_IS_GNUCC)
	OPTION(BUILD_EXTRA_WARNINGS "extra warnings")

	IF(BUILD_EXTRA_WARNINGS)
		SET(WARN_FLAGS "-g -O2 -g2 -Wall -Wmissing-declarations -Wdeclaration-after-statement -Wno-pointer-sign -Wcast-align -Winline -Wsign-compare -Wnested-externs -Wpointer-arith -Wl,--as-needed -Wformat-security")
		# -Werror -Wbad-function-cast -Wmissing-prototypes
	ELSE(BUILD_EXTRA_WARNINGS)
		SET(WARN_FLAGS "")
	ENDIF(BUILD_EXTRA_WARNINGS)
ENDIF(CMAKE_COMPILER_IS_GNUCC)

# awk '/#include <(.*)>/ { h = substr($2,2,length($2)-2); h2=toupper(h); gsub("\\.|\\/", "_", h2); printf "%s%s%s%s%s", "CHECK_INCLUDE_FILES(", h, " HAVE_", h2, ")\n" }' spawn-fcgi.c | sort
CHECK_INCLUDE_FILES(arpa/inet.h HAVE_ARPA_INET_H)
CHECK_INCLUDE_FILES(errno.h HAVE_ERRNO_H)
CHECK_INCLUDE_FILES(fcntl.h HAVE_FCNTL_H)
CHECK_INCLUDE_FILES(getopt.h HAVE_GETOPT_H)
CHECK_INCLUDE_FILES(grp.h HAVE_GRP_H)
CHECK_INCLUDE_FILES(netdb.h HAVE_NETDB_H)
CHECK_INCLUDE_FILES(netinet/in.h HAVE_NETINET_IN_H)
CHECK_INCLUDE_FILES(netinet/tcp.h HAVE_NETINET_TCP_H)
CHECK_INCLUDE_FILES(pwd.h HAVE_PWD_H)
CHECK_INCLUDE_FILES(stdio.h HAVE_STDIO_H)
CHECK_INCLUDE_FILES(stdlib.h HAVE_STDLIB_H)
CHECK_INCLUDE_FILES(string.h HAVE_STRING_H)
CHECK_INCLUDE_FILES(sys/ioctl.h HAVE_SYS_IOCTL_H)
CHECK_INCLUDE_FILES(sys/socket.h HAVE_SYS_SOCKET_H)
CHECK_INCLUDE_FILES(sys/stat.h HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILES(sys/time.h HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILES(sys/types.h HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILES(sys/un.h HAVE_SYS_UN_H)
CHECK_INCLUDE_FILES(sys/wait.h HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILES(unistd.h HAVE_UNISTD_H)
CHECK_INCLUDE_FILES(winsock2.h HAVE_WINSOCK2_H)

CHECK_FUNCTION_EXISTS(issetugid HAVE_ISSETUGID)
CHECK_FUNCTION_EXISTS(inet_pton HAVE_INET_PTON)

CHECK_C_SOURCE_COMPILES("
	#include <sys/types.h>
	#include <sys/socket.h>
	#include <netinet/in.h>
	
	int main() {
		struct sockaddr_in6 s; struct in6_addr t=in6addr_any; int i=AF_INET6; s; t.s6_addr[0] = 0;
		return 0;
	}" HAVE_IPV6)

SET(CMAKE_EXTRA_INCLUDE_FILES sys/socket.h)
CHECK_TYPE_SIZE(socklen_t HAVE_SOCKLEN_T)
SET(CMAKE_EXTRA_INCLUDE_FILES)

## Write out config.h
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

ADD_DEFINITIONS(-DHAVE_CONFIG_H)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

ADD_EXECUTABLE(spawn-fcgi spawn-fcgi.c)

IF(CMAKE_COMPILER_IS_GNUCC)
	SET_TARGET_PROPERTIES(spawn-fcgi PROPERTIES COMPILE_FLAGS "-std=gnu99 -Wall -g -Wshadow -W -pedantic -fPIC -D_GNU_SOURCE ${WARN_FLAGS}")
ENDIF(CMAKE_COMPILER_IS_GNUCC)

INSTALL(TARGETS spawn-fcgi DESTINATION bin)

## spawn-fcgi 1.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 PROJECT(spawn-fcgi)
 SET(PACKAGE_NAME ${CMAKE_PROJECT_NAME})
-SET(PACKAGE_VERSION 1.6.2)
+SET(PACKAGE_VERSION 1.6.3)
 
 SET(CMAKE_MAN_DIR "share/man" CACHE STRING
   "Install location for man pages (relative to prefix).")

## spawn-fcgi 1.6.4

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 	OPTION(BUILD_EXTRA_WARNINGS "extra warnings")
 
 	IF(BUILD_EXTRA_WARNINGS)
-		SET(WARN_FLAGS "-g -O2 -g2 -Wall -Wmissing-declarations -Wdeclaration-after-statement -Wno-pointer-sign -Wcast-align -Winline -Wsign-compare -Wnested-externs -Wpointer-arith -Wl,--as-needed -Wformat-security")
-		# -Werror -Wbad-function-cast -Wmissing-prototypes
+		SET(WARN_FLAGS "-g -O2 -g2 -Wall -Wmissing-declarations -Wdeclaration-after-statement -Wcast-align -Winline -Wsign-compare -Wnested-externs -Wpointer-arith -Wl,--as-needed -D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security")
+		# -Wno-pointer-sign -Werror -Wbad-function-cast -Wmissing-prototypes
 	ELSE(BUILD_EXTRA_WARNINGS)
 		SET(WARN_FLAGS "")
 	ENDIF(BUILD_EXTRA_WARNINGS)

=== debian/changelog ===
spawn-fcgi (1.6.4-1) unstable; urgency=medium

  * New upstream release, Closes: #750653.

  [ Upstream ]
  * Use octal mode for -M (patch by dfjoerg)
  * Add -b backlog option (fixes #2422, patch by aschmitz)
  * Restrict Unix socket file ownership by default to ug=rw
  * Add example apparmor spawn-fcgi abstraction
  * Use autoreconf instead of calling tools manually
  * Add more flags to extra-warning flags
  * Check return values of setuid, setgid, setgroups, initgroups, write
  * Check whether compiler supports wanted CFLAGS (fixes #2235)
  * Fix resource leaks in failure cases (found with coverity)

  [ Stefan Bühler ]
  * Updates Standards-Version to 3.9.5
  * Update rules and description
  * debian/NEWS: mention octal mode and default value for -M
  * Build-Depends debhelper 0.7.50~ (for target overriding)

  [ Jérémy Lal ]
  * Add Vcs-* control fields
  * Switch to copyright-1.0 format
  * Drop spawn-fcgi alternative in preinst-upgrade
  * Switch to 3.0 (quilt) source format

 -- Jérémy Lal <kapouer@melix.org>  Fri, 06 Jun 2014 01:51:00 +0200

spawn-fcgi (1.6.3-1) unstable; urgency=low

  * Upstream update
  * Updates Standards-Version to 3.8.3
  * Remove debian/spawn-fcgi.1, add debian/manpages

 -- Jérémy Lal <kapouer@melix.org>  Wed, 23 Sep 2009 17:13:35 +0200

spawn-fcgi (1.6.2-3) unstable; urgency=low

  * Drop libc6-dev build-dependency (Closes: #533880)
  * Updates Standards-Version to 3.8.2

 -- Jérémy Lal <kapouer@melix.org>  Sun, 21 Jun 2009 19:43:56 +0200

spawn-fcgi (1.6.2-2) unstable; urgency=low

  * Show update-alternatives usage in README.Debian

 -- Jérémy Lal <kapouer@melix.org>  Mon, 20 Apr 2009 11:39:31 +0200

spawn-fcgi (1.6.2-1) unstable; urgency=low

  * Initial release (Closes: #523707)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 20 Apr 2009 09:08:46 +0200

=== debian/control ===
Source: spawn-fcgi
Section: web
Priority: extra
Maintainer: Jérémy Lal <kapouer@melix.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.5
Homepage: http://redmine.lighttpd.net/projects/spawn-fcgi
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/spawn-fcgi.git
Vcs-Git: git://anonscm.debian.org/collab-maint/spawn-fcgi.git

Package: spawn-fcgi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FastCGI process spawner
 Allows FastCGI processes to be separated from web server process :
   * Easy creation of chmoded socket.
   * Privilege separation without needing a suid-binary,
     or running a server as root.
   * You can restart your web server and the FastCGI applications
     without restarting the others.
   * You can run them in different chroot()s.
   * Running your FastCGI applications doesn’t depend on the web server
     you are running, which allows for easier testing of/migration
     to other web servers.

=== debian/rules ===
#!/usr/bin/make -f

# uncomment to enable verbose mode
#export DH_VERBOSE=1

export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-extra-warnings

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://redmine.lighttpd.net/projects/spawn-fcgi/news http://www.lighttpd.net/download/spawn-fcgi-([\d\.]*)\.tar\.gz

## spawn-fcgi 1.6.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 PROJECT(spawn-fcgi)
 SET(PACKAGE_NAME ${CMAKE_PROJECT_NAME})
-SET(PACKAGE_VERSION 1.6.3)
+SET(PACKAGE_VERSION 1.6.5)
 
 SET(CMAKE_MAN_DIR "share/man" CACHE STRING
   "Install location for man pages (relative to prefix).")

=== debian/changelog ===
spawn-fcgi (1.6.5-2) unstable; urgency=medium

  * Team upload of Debian team

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * New upstream version
  * Point watch file to Github
  * d/copyright
     - Mention Github as source
     - Update copyright dates
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Enable hardening options

  [ Jochem Kossen ]
  * Add example systemd configuration files (Closes: #622905)
     - systemd template unit
     - launcher script to be called from systemd
     - php-cgi.conf
    Based on code by Boris Pek <tehnick@debian.org> in comment
    on #622905

 -- Jochem Kossen <jochem@jkossen.nl>  Sat, 05 Oct 2024 23:27:09 +0200

spawn-fcgi (1.6.4-2) unstable; urgency=medium

  * Patch fixing IPv6 detection during build (Closes: #868485).
    Thanks to Tim Düsterhus.
  * Use dh-autoreconf.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 16 Jul 2017 21:29:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: spawn-fcgi
+Maintainer: Jérémy Lal <kapouer@melix.org>
 Section: web
-Priority: extra
-Maintainer: Jérémy Lal <kapouer@melix.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.5
+Priority: optional
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/debian/spawn-fcgi
+Vcs-Git: https://salsa.debian.org/debian/spawn-fcgi.git
 Homepage: http://redmine.lighttpd.net/projects/spawn-fcgi
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/spawn-fcgi.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/spawn-fcgi.git
+Rules-Requires-Root: no
 
 Package: spawn-fcgi
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: FastCGI process spawner
  Allows FastCGI processes to be separated from web server process :
    * Easy creation of chmoded socket.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
 export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 %:
 	dh $@

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/lighttpd/spawn-fcgi/tags (?:.*?/)?spawn-fcgi-(\d[\d.]*)\.tar\.gz

## spawn-fcgi 1.6.6

=== meson_options.txt ===
option('ipv6', type : 'boolean', value : true, description : 'Build with IPv6 support')
option('extra-warnings', type : 'boolean', value : true, description : 'Build with extra warnings enabled')

=== debian/changelog ===
spawn-fcgi (1.6.6-1) unstable; urgency=medium

  * New upstream version 1.6.6
  * buildsystem meson
  * modernize watch

 -- Jérémy Lal <kapouer@melix.org>  Sun, 02 Mar 2025 14:59:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Jérémy Lal <kapouer@melix.org>
 Section: web
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13), meson
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/spawn-fcgi
 Vcs-Git: https://salsa.debian.org/debian/spawn-fcgi.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=meson

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/lighttpd/spawn-fcgi/tags (?:.*?/)?@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
